import matplotlib.pyplot as plt
import numpy as np

# Beispiel-Daten
x = np.linspace(0, 10, 100)
y1 = np.sin(x)
y2 = np.cos(x)

plt.figure(figsize=(10, 6))

plt.plot(x, y1, label='Strom', color='blue', linestyle='-', marker='o')
plt.plot(x, y2, label='Spannung', color='orange', linestyle='--', marker='^')

plt.title('Strom und Spannung im Wechselstromkreis', fontsize=14)

plt.xlabel('Zeit in Millisekunden (t)', fontsize=12)
plt.ylabel('Spannung in Volt (u)', fontsize=12)

plt.legend()
plt.annotate('Nulldurchgang', xy=(np.pi, np.sin(np.pi)), xytext=(np.pi+0.2, np.sin(np.pi)+0.8),
             arrowprops=dict(facecolor='black', shrink=0.05),
             fontsize=12, color='red')

plt.text(10.8, 0.5, 'Halbwertshöhe', fontsize=12, color='green')

plt.grid(True) 
plt.tight_layout() 
plt.show()