import numpy as np
import matplotlib.pyplot as plt

# Erstellen von Beispiel-Daten
x = np.linspace(-5, 5, 100)
y = np.linspace(-5, 5, 100)
X, Y = np.meshgrid(x, y)
Z = np.sin(np.sqrt(X**2 + Y**2))

# Erstellen des Konturplots
plt.figure(figsize=(8, 6))
contour = plt.contourf(X, Y, Z, cmap='viridis')
plt.colorbar(contour)  # Farbskala hinzufügen

# Achsenbeschriftungen und Titel
plt.title('Einfaches Beispiel für einen Konturplot')
plt.xlabel('X-Achse')
plt.ylabel('Y-Achse')

# Plot anzeigen
plt.show()