import matplotlib.pyplot as plt
import numpy as np

import matplotlib.animation as animation

wavesizeX=20
wavesizeY=64

np.random.seed(37721)
fig=plt.figure(figsize=(4,8), facecolor='w')
ax=plt.subplot(frameon=False)

data=np.random.uniform(0,1,(wavesizeX,wavesizeY))
X=np.linspace(-1,1, data.shape[-1])
G=1.5*np.exp(-4*X**2)

lines=[]
for i in range(len(data)):
    xscale=1-i/200.0
    lw=1.5-i/100.0
    line, = ax.plot(xscale*X,i+G*data[i],color="r",lw=lw)
    lines.append(line)

ax.set_ylim(-1,wavesizeX+2)
ax.set_xticks([]); ax.set_yticks([])

ax.text(0.5,1.0,"Quantum Animation",transform=ax.transAxes,ha="center",va="bottom",color="b",family="sans-serif")

def update(*args):
    data[:,1:]=data[:,:-1]
    data[:,0]=np.random.uniform(0,1,len(data))
    for i in range(len(data)):
        lines[i].set_ydata(i+G*data[i])
    return lines

anim = animation.FuncAnimation(fig, update, interval=10, save_count=100)
plt.show()