import matplotlib.pyplot as plt
import numpy as np

# Zufällige Daten erstellen
np.random.seed(10)
data = [np.random.normal(loc=0, scale=1, size=100),
        np.random.normal(loc=1, scale=2, size=100),
        np.random.normal(loc=-1, scale=1.5, size=100),
        np.random.normal(loc=2, scale=1, size=100)]

# Violinplot erstellen
plt.figure(figsize=(10, 6))
plt.violinplot(data, showmeans=False, showmedians=True, showextrema=True)

# Diagramm anpassen
plt.title('Ausfallwahrscheinlichkeiten von Bauelementen')
plt.xlabel('Gruppe')
plt.ylabel('Wert')
plt.xticks([1, 2, 3, 4], ['Elko', 'Tantals', 'Ceramics', 'Styroflex'])  # x-Achsen-Beschriftungen

# Diagramm anzeigen
plt.show()
